/*Traduce il piano a cui siamo arrivati 
come conto del contatore in led + display
0-63 piano terra
64-127 primo piano
128-191 secondo piano
192-256 terzo piano*/
module display(qBus,dBus);
input qBus;
output dBus;
wire [7:0] qBus;
reg [6:0] dBus;
always @ (qBus)
begin
if(qBus >= 8'b00000000 && qBus < 8'b00100000) dBus<=7'b1000000;
if(qBus >= 8'b00100000 && qBus < 8'b01000000) dBus<=7'b1111001;
if(qBus >= 8'b01000000 && qBus < 8'b01100000) dBus<=7'b0100100;												
if(qBus >= 8'b01100000 && qBus < 8'b10000000) dBus<=7'b0110000;
end
endmodule